Feature: FR-03 User Logout
  Scenario: Authenticated user can logout successfully (AC1, AC2)
    Given there exists following accounts
      | name     | surname | birth_date  | phone_number | email                     | password | confirm_password |
      | Existing | Account | 2000-01-01  | 000         | existing.account@gmail.com | password | password         |
    And I am logged in
    When I click the logout button
    Then I should be logged out
    And I should be redirected to the home page


  Scenario: Unauthenticated user attempts to logout 
    Given I am not logged in
    When I try to access the logout functionality
    Then I should see an error message
    And I should be redirected to the home page

