defmodule PropTrackrWeb.LogoutController do
  use PropTrackrWeb, :controller

  alias PropTrackr.Authentication

  def index(conn, _params) do
    current_user = get_session(conn, :user_id)

    if current_user do

      conn
      |> Authentication.logout()
      |> put_flash(:info, "You are successfully logged out")
      |> redirect(to: "/")
    else
      conn
      |> put_flash(:info, "You are not logged in")
      |> redirect(to: "/")
    end
  end
end
