defmodule PropTrackr.Repo.Migrations.Photos do
  use Ecto.Migration

  def change do
    create table(:photos) do
      add :filename, :string, null: false
      add :order, :integer
      add :property_id, references(:properties, on_delete: :delete_all)
      timestamps()
    end

    create index(:photos, [:property_id])
  end
end
