Feature: FR-02 User Login

    Scenario: Unauthenticated user can login with valid credentials (AC1, AC4)
        Given there exists following accounts
              | name     | surname | birth_date | phone_number | email                      | password | confirm_password |
              | Existing | Account | 2000-01-01 | 000          | existing.account@gmail.com | password | password         |
        And I want to log in
        And I enter valid credentials
        When I click the login button
        Then I should be logged in
        And I should be redirected to the homepage

    Scenario: Unauthenticated user should be shown an error message when entering an email that does not exist (AC2)
        Given there exists following accounts
              | name     | surname | birth_date | phone_number | email                      | password | confirm_password |
              | Existing | Account | 2000-01-01 | 000          | existing.account@gmail.com | password | password         |
        And I want to log in
        And I enter credentials with invalid email
        When I click the login button
        Then I should receive an error message stating invalid email
        And I should be shown the log in form again

    Scenario: Unauthenticated user should be shown an error message when entering an invalid password (AC3)
        Given there exists following accounts
              | name     | surname | birth_date | phone_number | email                      | password | confirm_password |
              | Existing | Account | 2000-01-01 | 000          | existing.account@gmail.com | password | password         |
        And I want to log in
        And I enter credentials with invalid password
        When I click the login button
        Then I should receive an error message stating invalid password
        And I should be shown the log in form again

