defmodule PropTrackr.Repo.Migrations.ModifyBirthDate do
  use Ecto.Migration

  def change do
    alter table(:users) do
      add :birth_date, :date
    end
  end

  def up do
    execute """
      alter table users alter column birth_date type date using (birth_date::date)
     """
  end

end
